from model.DataBaseUtils import MysqlUtils
import requests


def get_auth_user(user_id):
    """获取用户拥有所有用户（包括自己）的权限"""
    rsp = requests.get(url=f'http://api.zanxiangnet.com/erp/api/user/subUser/{user_id}')
    nick_name_list = []
    for _ in rsp.json()['data']:
        nick_name_list.append(_['nickName'])
    return nick_name_list

def get_auth_channel(user_id):
    """获取用户拥有的所有公众号权限"""

    db = MysqlUtils()
    # 普通权限------java,获取本人对应拥有的公众号
    rsp = requests.get(f'http://api.zanxiangnet.com/system/api/mp/mpAccount/subAccountWithUser/{user_id}')
    channel_list = rsp.json()['data']
    data1 = []
    for _ in channel_list:
        data1.append(_['nickName'])

    sql2 = f"""select GROUP_CONCAT(channel_ids) from user_channel_group_auth a
                left join channel_group b on a.channel_group_id=b.id
                where user_id={user_id}"""
    data2 = db.quchen_text.getOne(sql2)

    if data2:
        data2_2 = tuple(data2.split(','))
        sql3 = f"""select nick_name from t_mp_account where id in {str(data2_2)}"""

        data3 = db.zx.getOneList(sql3)
        # print(data3)
    else:
        data3 = []
    return tuple(data1 + data3)


def super_auth():
    "获取超级数据权限的用户列表"
    db = MysqlUtils()
    sql = "select user_id from t_sys_user_role where role_id =39"
    return db.zx.getOneList(sql)


if __name__ == '__main__':
    # print(get_auth_channel(109))
    # print(get_role(78))
    print(f"ssed{tuple([1, 3, 4])}")
